Bug 433056 - (ndiswrapper crash) applying wireless (WG111v3 USB2)
(ndiswrapper crash) applying wireless (WG111v3 USB2)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 16:41 EST by Prashant Saxena
Modified: 2008-03-03 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 15:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prashant Saxena 2008-02-15 16:41:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Fedora8 freezes on applying wireless.
I have WG111v3 wireless.G USB 2.0 adaptor. I have done ndiswrapper -i driver, ndiswrapper -m, modprobe ndiswrapper!!

The "iwlist scan" shows all networks correctly. But when I try to put in the WPA/TKIP key in Network manager, the system crashes. Everything hangs permamently.

I then tried without security and inserted "modprobe ndiswrapper" in /etc/rc.local. The freeze started on every boot then. So I removed the "modprobe ndiswrapper " line from /etc/rc.local and secured the network again so as to save the crashes on boot itself.

I have a laptop too (running ubuntu) and it connects fine and nicely.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
after installing driver and creating alias
1.modprobe ndiswrapper (crashes at this step without security and remains fine with security) 
2. Applying WPA/TKIP, inserting the key, crashes within 2 seconds 
3. Tried other securities too WPA2,WEP all crash

Actual Results:
Crashes. System freezes and I have to hard reboot.

Expected Results:
It should have conected to the wireless router.

Additional info:
lsusb
*************
Bus 001 Device 002: ID 0846:4260 NetGear, Inc.
Bus 001 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000 
*************

lspci
************
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 651 Host (rev 02)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO] (rev 25)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] AC'97 Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 65x/M650/740 PCI/AGP VGA Display Adapter
**********



lsusb -vvxxx
**********************************
Bus 001 Device 002: ID 0846:4260 NetGear, Inc. 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x0846 NetGear, Inc.
  idProduct          0x4260 
  bcdDevice            2.00
  iManufacturer           1 Manufacturer_NETGEAR
  iProduct                2 NETGEAR WG111v3
  iSerial                 3 001B2F371F0E
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           81
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          4 Wireless Network Card
    bmAttributes         0x80
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           9
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              2 NETGEAR WG111v3
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x05  EP 5 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x06  EP 6 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x07  EP 7 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x89  EP 9 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x0a  EP 10 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x0b  EP 11 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x0c  EP 12 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1

Bus 001 Device 001: ID 0000:0000  
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x0000 
  idProduct          0x0000 
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.23.15-137.fc8 ehci_hcd
  iProduct                2 EHCI Host Controller
  iSerial                 1 0000:00:03.3
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             6
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xc0
  PortPwrCtrlMask    0xd6 
 Hub Port Status:
   Port 1: 0000.0503 highspeed power enable connect
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
   Port 5: 0000.0100 power
   Port 6: 0000.0100 power

Bus 003 Device 001: ID 0000:0000  
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x0000 
  idProduct          0x0000 
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.23.15-137.fc8 ohci_hcd
  iProduct                2 OHCI Host Controller
  iSerial                 1 0000:00:03.1
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             3
  wHubCharacteristic 0x0002
    No power switching (usb 1.0)
    Ganged overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xc0
  PortPwrCtrlMask    0xd6 
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power

Bus 002 Device 001: ID 0000:0000  
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  idVendor           0x0000 
  idProduct          0x0000 
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.23.15-137.fc8 ohci_hcd
  iProduct                2 OHCI Host Controller
  iSerial                 1 0000:00:03.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0002  1x 2 bytes
        bInterval             255
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             3
  wHubCharacteristic 0x0002
    No power switching (usb 1.0)
    Ganged overcurrent protection
  bPwrOn2PwrGood        1 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0xc0
  PortPwrCtrlMask    0xd6 
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
**********************************
Comment 1 Prashant Saxena 2008-02-15 16:47:49 EST
lsmod

***********
Module                  Size  Used by
ndiswrapper           169500  0 
udf                    75365  0 
vfat                   13249  1 
fat                    45277  1 vfat
autofs4                20421  2 
sunrpc                140765  1 
nf_conntrack_ipv4      11717  4 
ipt_REJECT              7617  2 
iptable_filter          6465  1 
ip_tables              14213  1 iptable_filter
nf_conntrack_ipv6      18769  4 
xt_state                6081  8 
nf_conntrack           51977  3 nf_conntrack_ipv4,nf_conntrack_ipv6,xt_state
nfnetlink               8281  3 nf_conntrack_ipv4,nf_conntrack_ipv6,nf_conntrack
xt_tcpudp               6977  12 
ip6t_ipv6header         6209  2 
ip6t_REJECT             8257  2 
ip6table_filter         6337  1 
ip6_tables             15109  2 ip6t_ipv6header,ip6table_filter
x_tables               14277  7
ipt_REJECT,ip_tables,xt_state,xt_tcpudp,ip6t_ipv6header,ip6t_REJECT,ip6_tables
dm_mirror              21697  0 
dm_multipath           18249  0 
dm_mod                 46465  2 dm_mirror,dm_multipath
ipv6                  245989  16 nf_conntrack_ipv6,ip6t_REJECT
snd_intel8x0           30429  6 
snd_ac97_codec         92388  1 snd_intel8x0
ac97_bus                6081  1 snd_ac97_codec
snd_seq_dummy           6725  0 
snd_seq_oss            29889  0 
snd_seq_midi_event      9793  1 snd_seq_oss
snd_seq                44849  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         10061  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            37569  0 
snd_mixer_oss          16705  2 snd_pcm_oss
snd_pcm                63685  4 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
ns558                   8001  0 
parport_pc             26981  0 
gameport               14665  2 ns558
snd_timer              20549  2 snd_seq,snd_pcm
parport                32393  1 parport_pc
snd                    43461  18
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
button                 10449  0 
sis900                 22209  0 
i2c_sis96x              8517  0 
soundcore               9633  2 snd
mii                     8385  1 sis900
pcspkr                  6593  0 
floppy                 53125  0 
i2c_core               21825  1 i2c_sis96x
snd_page_alloc         11337  2 snd_intel8x0,snd_pcm
sg                     31965  0 
sr_mod                 17509  0 
cdrom                  33889  1 sr_mod
ata_generic             8901  0 
pata_sis               14149  3 
libata                100401  2 ata_generic,pata_sis
sd_mod                 27329  4 
scsi_mod              120013  4 sg,sr_mod,libata,sd_mod
ext3                  110665  1 
jbd                    52457  1 ext3
mbcache                10177  1 ext3
uhci_hcd               23633  0 
ohci_hcd               21445  0 
ehci_hcd               31821  0 
****************


-> * My laptop/Ubuntu connects to the wireless router fine

-> * Windows with Wireless USB adaptor's drivers connects fine
   * Fedora freezes with the Wireless USB adaptor's drivers
Comment 2 Dan Williams 2008-02-29 15:20:52 EST
-> kernel

But just a note; ndiswrapper isn't supported because there's simply no way to
debug this stuff, because the NDIS driver is binary.  Therefore, nobody can
really help with the problems because there's no possible way to fix them
without the source code for the driver.  It may be that Fedora builds with 4k
stacks and Ubuntu does not, it may be that the Fedora kernels are newer than
Ubuntu and ndiswrapper got broken but upstream kernel changes, or whatever.
Comment 3 Dave Jones 2008-02-29 15:37:02 EST
indeed. ndiswrapper -> unsupported.
Comment 4 Prashant Saxena 2008-03-01 03:47:02 EST
U got it wrong! I have wifi at home. And "ubuntu on Laptop (ipw2200)" and
"fedora with wg111v3 USB (ndiswrapper)" are two totally different systems.

So wg3111v3 is unsupported via ndiswrapper? If so, how can I connect fedora with
WG3111v3 wireless USB2?
Comment 5 John W. Linville 2008-03-03 09:47:27 EST
That device is an rtl8187b.  It is not currently supported by the upstream 
rtl8187 driver, but I am working on it.  You may want to watch bug 432280 for 
progress.

Until then, I'm sorry but ndiswrapper is simply unsupported (no matter what 
device you are trying to use with it).
Comment 6 Prashant Saxena 2008-03-03 10:00:58 EST
Thanx for telling, do u need the INF,SYS files for wg3111v3?
Comment 7 John W. Linville 2008-03-03 10:08:52 EST
No, I don't think those will be useful to me.  Thanks anyway!

Note You need to log in before you can comment on or make changes to this bug.